Get authorization

API to get details about pre-authorized token

Responses

200 OK

  • id [string]: Unique ID of the authorization token
  • code_identifier [string]: Generated code identifier
  • consumer_uid [string]: Unique ID of the consumer
  • shop_uid [string]: Unique ID of the shop
  • status [string]: Status of the authorization token (PENDING, ACCEPTED or CANCELED)
  • reason [string]: The reason why the token has been required
  • callback_url [string]: The url to be notified in case of change
  • metadata [object]: Metadata inserted within the authorization request

401 Unauthorized

  • code [integer]: Error code
    34 → unauthorized
  • message [string]: Error message

404 Not found

  • code [integer]: Error code
  • message [string]: Error message
Path Params
string
required

Pre-Authorized Payment Token

Headers
string
required

The host declared in the signature

string
required

The date declared in the signature

string
required

The digest declared in the signature

string
required

Signature of the request

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json
text/plain